﻿
.btn {
    font-size: 12px;
    border-radius: 20px;
    cursor: pointer;
    background-color: #f05944;
}

button {
    background-color: #f05944;
    /*!important;*/
    color: white !important;
    font-size: small;
}

input[type=button] {
    background-color: #f05944; /*darkgray;*/
    color: white;
    font-size: small;
}

.arrowButton {
    cursor: pointer;
}

    .arrowButton:hover {
        background-color: gray !important;
    }

    .arrowButton:active {
        color: lightgray !important;
    }

/*.loginBtn{
    background-color: #f05944 !important*/
/*cursor: pointer;*/
/*}
.loginBtn:hover{*/ /*hover:focus:active --dosent work*/
/*background-color: #c54c3b !important;
}
.loginBtn:focus{
    background-color: #c54c3b !important;
}
.loginBtn:active{
    background-color: #a84032 !important;
}*/

.btn:not(.btn-tab) {
    background-color: #f05944 !important
    /*cursor: pointer;*/
}

    .btn:not(.btn-tab):hover { /*hover:focus:active --dosent work*/
        background-color: #c54c3b !important;
    }

    .btn:not(.btn-tab):focus {
        background-color: #c54c3b !important;
    }

    .btn:not(.btn-tab):active {
        background-color: #a84032 !important;
    }


.MessageBoxButtons {
    background-color: #f05944 !important;
    color: white;
    font-size: small;
}

li.ui-igcombo-listitem.igcombo_disabled {
    color: darkgray !important;
    font-style: italic !important;
    text-decoration: line-through;
}
/*font-weight: bold !important;*/

.req::before {
    content: "*";
    color: red;
}

.req_hard::before {
    content: "*";
    color: red;
}

.red_error {
    background-color: #F9A8A8 !important;
}

.red_border {
    border: 3px solid red !important;
    /*border-radius: 10px;*/
}

.header {
    display: block;
    margin-left: auto;
    margin-right: auto;
    /*width: 50%;
    margin: auto;*/
}

h3 {
    font-size: 18px !important;
}

.likebody {
    margin: 0px 7px 0px 7px;
}

.toggle-menu {
    /*margin-left: 20px;
    top: 10%;
    font-size: 25px;
    cursor: pointer;*/
    font-weight: bold;
    color: #1B4422;
    margin-left: 5px;
    vertical-align: middle;
    cursor: pointer;
    font-size: 18px;
}

.main-nav-check {
    display: none;
}

.main-nav {
    position: fixed;
    top: 0;
    width: 0;
    height: 100%;
    overflow-y: auto;
    background-color: darkgray;
    color: #ffffff;
}

.close-menu {
    display: none;
}

#main-nav-check:checked ~ #navBar {
    width: 11%;
    top: 0;
}

#main-nav-check:checked ~ .likebody {
    width: 89%;
    margin: 0;
    padding-right: 1%;
    padding-left: 1%;
    float: right;
}

#main-nav-check:checked ~ #main-header {
    width: 89% !important;
    margin-left: 11% !important;
}

.ddmenu-items {
    width: 300px;
    background-color: darkgray;
    display: block;
    position: absolute;
    left: 0px;
    top: 0px;
    z-index: 999999;
}

.dropdown {
    margin-top: 0px !important;
}

.dropdown-menu > li > a {
    color: #ffffff;
}

.fa-caret-right {
    float: right;
    margin-top: 4px !important;
}

.nav > li > a {
    padding: 5px !important;
}

.uk-accordion-title::before {
    background-image: none !important;
}

.smallFont {
    font-size: 15px;
}

.xSmallFont {
    font-size: 9px;
}

.smallGrid .ui-iggrid-table {
    font-size: 11px;
}

.form_header_div {
    background-image: linear-gradient(to right, #ee5840, #414141);
    padding: 5px 0px 0px 5px;
}

.form_header {
    color: black;
    font-size: 16px;
    font-weight: bold;
    padding: 2px;
}

.form_search > input.ui-autocomplete-input {
    height: 28px !important;
    border: 1px solid darkgray;
    border-radius: 20px 0px 0px 20px;
    padding: 7px;
}

.form_search > button {
    height: 28px !important;
    border-radius: 0px 20px 20px 0px;
    padding: 0px;
}



.required::after {
    content: "*";
    color: red;
    font-weight: bold;
}


label {
    font-weight: normal;
}

.modal {
    width: fit-content;
    height: fit-content;
    float: none;
    margin: auto;
    z-index: 9999;
    background: transparent;
    border-color: transparent;
    box-shadow: transparent;
    box-shadow: 0px;
    border: 0 hidden transparent;
    padding: 15px 10px;
}

.modal-contant {
    overflow-y: auto;
    /*overflow:auto;*/
    display: none;
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 85% !important;
    border-radius: 5px;
    border: 0.1em solid blue;
    box-shadow: 0 1.5px 0 0 rgba(0,0,0,0.1);
}

.ui.dimmer {
    background-color: rgba(0,0,0,.75) !important; /*rgba(100,149,237, .75) !important;*/
}

.basic {
    background-color: white !important;
    color: black !important;
    border-radius: 5px !important;
    border: 0 hidden transparent !important;
}

.tab-active {
    background-color: white !important;
    color: black !important;
    font-weight: bold;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
    margin: 0px 1px;
}

.navbar-inverse .navbar-nav > li > a {
    padding-top: 10px;
    padding-bottom: 10px;
    color: white !important;
}

    .navbar-inverse .navbar-nav > li > a:hover {
        color: #9d9d9d !important;
    }

.ui-state-hover {
    color: black !important;
    border: 1px solid gray !important;
}

.ui-state-default {
    color: black;
    border: 1px solid gray !important; /*commenting this out makes all igeditors borderless*/
    /*border: 0px !important;*/
}

.ui-igedit-input {
    color: black;
    border: 1px solid gray !important;
    border-radius: 4px !important;
}

.ui-igcombo-button-ltr {
    background-color: gray !important;
    border-radius: 0px 4px 4px 0px !important;
}

.ui-icon-triangle-1-s {
    color: white !important;
}

.ui-widget-header:not(.ui-iggrid-addrow) {
    background-color: darkgray !important;
}

.ui-iggrid-pager {
    height: 31px;
    padding: 3px 5px 2px 5px !important;
}

.ui-iggrid-tablebody > tr > td {
    border-right: 1px solid rgba(0,0,0,.18) !important;
}

input[type=text]:not(.ui-igedit-input), [type=password], [type=tel] {
    border: 1px solid darkgray !important;
    border-radius: 4px !important;
    padding: 7px;
    width: 100%;
    height: 25px !important;
    margin: 0px 2px 2px 0px;
}

select {
    border: 1px solid darkgray !important;
    border-radius: 4px !important;
    height: 25px !important;
    margin: 0px 2px 2px 0px !important;
}

textarea {
    border: 1px solid darkgray;
    border-radius: 4px;
    padding: 7px;
    width: 100%;
    resize: none;
}

.div-header {
    background-color: darkgray;
    height: 30px;
    padding: 5px;
    color: white;
    vertical-align: middle;
}

/* 2020-07-01 CS: This is messing up datepicker filter
    .ui-iggrid-filtercell .ui-igedit-container>.ui-igeditor-input-container {
    width: 100% !important;
}*/
.ui-iggrid-filtercell .ui-igedit-container > .ui-igeditor-input-container {
    width: auto !important;
}

img {
    padding: 2px;
}

    img#editBtn, img#contactsBtn, img#displayBtn, img#deleteBtn, img#reportBtn, img#paymentBtn, img#memberBtn, img#copyBtn, img#allocateBtn, img#deleteAllocBtn, img#writeoffBtn {
        cursor: pointer;
    }

.uk-checkbox:checked {
    background-color: darkgray !important;
}

.uk-checkbox {
    border-color: darkgray !important;
    height: 24px;
    width: 24px;
    border-radius: 4px;
}

.uk-border-rounded {
    border-radius: 4px;
}

.uk-radio:checked {
    background-color: darkgray !important;
}

.uk-radio {
    border-color: darkgray !important;
}

.drop-down {
    border: 1px solid darkgray;
    border-radius: 4px;
    padding: 7px;
    width: 100%;
    height: 30px;
}

.form-control[disabled], .uk-checkbox:disabled, input:disabled, .form-control[readonly], select:disabled {
    background-color: #efefef; /*!important;*/
    cursor: default !important;
    border: 1px solid #989898 !important;
    border-radius: 4px;
}

.uk-card-default {
    box-shadow: 0px 1px 20px rgba(0,0,0,.18);
}

.union-header-focus {
    border: 1px solid #1B4422;
}

a.dropdown-toggle {
    color: #ffffff;
    font-size: 18px;
    font-family: "Open Sans";
}

    a.dropdown-toggle.rmenu {
        font-weight: bold;
    }

    a.dropdown-toggle:hover {
        color: black !important;
        font-size: 18px;
    }

ul ul a {
    border-radius: 4px;
    position: relative;
    display: block;
    padding: 10px 35px;
    font-size: 16px !important;
    opacity: 1 !important;
}

    ul ul a:hover {
        text-decoration: none;
        background-color: #eee;
        color: black !important;
    }

.menu-active {
    background: #4c9450;
    opacity: 1 !important;
}

.tab-button {
    background-color: lightgrey !important;
    color: gray !important;
    border-bottom-left-radius: 0px;
    border-bottom-right-radius: 0px;
    margin: 0px 1px;
}

.uk-checkbox:disabled:checked {
    background-image: url("data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%2214%22%20height%3D%2211%22%20viewBox%3D%220%200%2014%2011%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%20%20%20%20%3Cpolygon%20fill%3D%22%23fff%22%20points%3D%2212%201%205%207.5%202%205%201%205.5%205%2010%2013%201.5%22%20%2F%3E%0A%3C%2Fsvg%3E%0A");
}

.container-404 {
    /*FLEX*/
    display: -webkit-flex;
    display: flex;
    /*height: 50%;*/
    /*width: 60%;*/
    flex-direction: column;
    flex: none;
    width: 60%;
    border-color: lightgray !important;
    /*border-color: lightgray !important;*/
    background-color: white;
    border-width: 2px;
    border-style: solid;
    /*border-radius: 3px;*/
    box-shadow: 0 1.5px 0 0 rgba(0,0,0,0.1);
    padding: 35px;
}

.ui-menu {
    border-radius: 4px !important;
    background-color: #ccc !important;
}

.ui-menu-item {
    padding: 5px;
    border-radius: 4px !important;
    max-width: 455px;
    word-break: break-all;
    margin: 0 !important;
}

    .ui-menu-item:hover {
        background-color: white;
        margin: 0 !important;
        text-decoration: none !important;
    }

    .ui-menu-item > .ui-state-focus {
        border: none !important;
        background-color: white !important;
        color: black !important;
    }

input[type=text].ui-igcombo-field:not(.ui-igedit-input) {
    border: none !important;
    border: 1px solid darkgray !important;
    border-radius: 4px 0px 0px 4px !important;
    height: 27px !important;
    margin: 0px 2px 2px 0px !important;
    /*padding: 20px !important;*/
}

.ui-corner-all {
    border-radius: 4px !important;
}

.ui-state-focus {
    border-radius: 4px !important;
}

/*.ui-igcombo-button {
    height: 100% !important;
}*/

.ui-icon-triangle-1-s:before {
    content: '\e648';
    display: block;
    height: 1em;
    left: 50%;
    line-height: 1;
    margin-left: -.5em;
    margin-top: -.5em;
    position: absolute;
    text-indent: 0;
    top: 25% !important;
    width: 1em;
}

.ui-igcombo-clear {
    height: 91% !important;
    padding: 0 !important;
}

.ui-igcombo-clearicon {
    top: 25% !important;
}

.ui-iggrid-deleteicon {
    top: 0 !important;
    left: 0 !important;
}

.input-sm {
    font-size: 14px;
}

.ui-state-disabled, .ui-unselectable {
    opacity: 1 !important;
    background-color: white;
    cursor: default !important;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

.error {
    background-color: #ffdede !important;
    color: #9f3a38 !important;
}

.errorInput {
    border: 2px solid red !important;
}

.modalInputs {
    border-radius: 4px;
    padding: 2px;
    border: 1px solid darkgray;
}

.ui-iggrid-scrolldiv {
    background-color: transparent !important;
    border-bottom: 0px !important;
}

.ui-igcombo-list {
    max-height: 280px !important;
}

.ui-icon-check-parent-border {
    border: solid #999999 1px !important;
}

.hide {
    display: none;
}

.floatL {
    float: left;
}

.floatR {
    float: right;
}

.floatC {
    clear: both;
}

.floatLC {
    float: left;
    clear: both;
}
/*input.wrong-field.wrong-field { border: 2px solid red !important; margin-bottom: 0px; }
input[type=text].ui-igcombo-field.red_error { border: 2px solid red !important; margin-bottom: 0px; }
span.red_error { color: #FF0000; padding-left: 3px; }
.ui-igcombo>.red_error{ border: 2px solid red !important; }*/

@media only screen and (max-width: 1133px) {
    #divTab {
        position: relative !important;
    }

    #divHeaderTab {
        height: unset !important;
    }
}


.ui-iggrid-groupedrow[data-glevel='1'] {
    background-color: darkgray;
    color: white;
}

.ui-iggrid-groupedrow[data-glevel='0'] {
    background-color: #1B4422;
    color: white;
}

.ui-iggrid-headertext {
    font-family: "Open Sans";
    white-space: normal !important;
    font-weight: 600;
}

body {
    font-size: 12px !important;
}

    body.dialog-loading {
        overflow: hidden;
    }

        body.dialog-loading .loader_naked {
            display: block;
        }

.loader_naked {
    display: none;
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: rgba(255, 255, 255, 0) url('/Images/ajax-loader.gif') 50% 50% no-repeat;
}

.ui-icon-calculator {
    display: none !important;
}

.border-box {
    border: 2px solid darkgray;
    padding: 0px;
}

.alignC {
    text-align: center;
}

.alignR {
    text-align: right;
}

.alignRParent {
    text-align: right;
}

.igCellRightBorder {
    border-right: .1px solid #999999 !important;
}

.igCellLeftBorder {
    border-left: .1px solid #999999 !important;
}

.alignLParent {
    text-align: left;
}

.Current {
    background: purple;
}

.igTotalRow {
    background: darkgray !important;
    color: white !important;
}

.lightRed {
    background-color: #ffd1d1 !important;
}

.igPostedRecord {
    background-color: #ffd1d1 !important;
}

.igTotalRowGeneral {
    background: #d1e8c9 !important;
    font-weight: bold !important;
    text-align: right;
    padding-right: 5px !important;
    border-color: #d1e8c9 !important;
}

.igTotalRowGeneralSub {
    background: #bfceb9 !important;
    font-weight: bold !important;
    text-align: right;
    padding-right: 5px !important;
    border-color: #bfceb9 !important;
}

#upload_ibb.ui-state-default {
    font-size: 12px !important;
    border-radius: 20px !important;
    cursor: pointer !important;
    background-color: #f05944 !important;
}

#loading-overlay {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: url('/Images/ajax-loader_gr.gif') white no-repeat center;
    opacity: 0.75;
    z-index: 99999;
}

.dates {
    color: black !important
}

.ui-datepicker-month {
    color: black
}

.ui-datepicker-year {
    color: black
}

.clr-red {
    background-color: #f35b53
    /*background-color: red*/
}

.clr-orange {
    background-color: orange
}

.clr-green {
    background-color: lightgreen
}
/*.floatL { float: left; }
.floatClear { clear: both; }
.floatR { float: right; }*/
/*.ui-igupload-browsebutton {
    background-color: orange !important
}*/
